al_register_audio_stream_loader(3)

NAME

al_register_audio_stream_loader - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_register_audio_stream_loader(const char *ext,
       ALLEGRO_AUDIO_STREAM *(*stream_loader)(const char *filename,
          size_t buffer_count, unsigned int samples))

DESCRIPTION

Register a handler for al_load_audio_stream(3). The given function will be used to open streams from files with the given extension.

The extension should include the leading dot ('.') character. It will be matched case-insensitively.

The stream_loader argument may be NULL to unregister an entry.

Returns true on success, false on error. Returns false if unregistering an entry that doesn't exist.

SEE ALSO

al_register_audio_stream_loader_f(3)